
QGIS Application - Feature request #1772

Allow individual stroke-dash parameters for line symbolizations

2009-07-13 08:46 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11832

Description

It would be cool if one could introduce custom stroke-dash parameters, such as it is possible in SVG: 

http://www.w3.org/TR/SVG11/painting.html#StrokeProperties - see stroke-dasharray and stroke-dashoffset

It should allow mm/pt and map units.

Related issues:

Related to QGIS Application - Feature request # 9000: add option to allow mar... Closed 2013-11-04

History

#1 - 2010-06-13 09:45 AM - Andreas Neumann

This is already partially implemented (the stroke-pattern part) - the stroke-dashoffset part is still missing, but the stroke-pattern part is more important so it

is ok to postpone the stroke-dashoffset part to 1.6

#2 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-05-04 06:52 AM - Andreas Neumann

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

now fixed in changeset commit:26c6435a85b9360ad7f4e38c7878d8d8f38c908b

see also bug nr #9000

#6 - 2015-04-13 05:10 AM - Oskar Karlin

Is really stroke-dashoffset implemented? Can't find it when I do a stroke on a line. It seems like it's only made for marker lines?
